{{> userprofile}}

<section>
  <div class="container is-max-desktop">
    <div class="tabs is-medium">
      <ul>
        <li class="is-active"><a href="/u/{{user.gitlab_handle}}">Badges</a></li>
        <li><a href="/u/{{user.gitlab_handle}}/challenges">Challenges</a></li>
        <li><a href="/u/{{user.gitlab_handle}}/activity">Activity</a></li>
      </ul>
    </div>
  </div>
</section>

<section class="section">
    <div class="container">
        {{#if badges}}
        <div class="columns">
            {{#each badges}}
                <div class="column is-4">
                  <div class="card">
                    <header class="card-header">
                      <p class="card-header-title">
                        {{this.challenge_name}}
                      </p>
                    </header>
                    <div class="card-content">
                      <div class="content has-text-centered">
                        <figure class="image is-128x128 mx-auto">
                          <img src="{{this.badge}}">
                        </figure>
                        <p class="is-size-5">
                          Level {{this.level}}: <br/>
                          {{#if this.ref}}
                            <a href="{{this.ref}}" target="_blank">
                              {{this.level_title}}
                            </a>
                          {{else}}
                            {{this.level_title}}
                          {{/if}}
                        </p>
                        <p class="is-size-7 has-text-info">
                          {{localDate this.created_at}}
                        </p>
                      </div>
                    </div>
                  </div>
                </div>
            {{/each}}
        </div>
        {{else}}
            {{> empty title="No badges yet" description="This user has not earned any badges yet.  Check back soon!"}}
        {{/if}}
    </div>
</section>
